package com.xhpc.evcs.dto;

import com.fasterxml.jackson.annotation.*;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.HashMap;
import java.util.Map;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "Status"
})
public class EvcsStatus {

    @JsonProperty("Status")
    private Integer status;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    public EvcsStatus() {

    }

    public EvcsStatus(Integer status) {

        this.status = status;
    }

    @JsonProperty("Status")
    public Integer getStatus() {

        return status;
    }

    @JsonProperty("Status")
    public void setStatus(Integer status) {

        this.status = status;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {

        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {

        this.additionalProperties.put(name, value);
    }

    @Override
    public String toString() {

        return new ToStringBuilder(this).append("status", status).append("additionalProperties", additionalProperties).toString();
    }

}
